## jersey.repackaged.org.objectweb.asm
Class Handle

    java.lang.Object
      jersey.repackaged.org.objectweb.asm.Handle

    public final class Handle

extends java.lang.Object

A reference to a field or a method.

Author:
  Remi Forax, Eric Bruneton

Constructor Summary
`Handle(int tag, java.lang.String owner, java.lang.String name, java.lang.String desc)` Constructs a new field or method handle.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDesc()` Returns the descriptor of the field or method designated by this handle.
`java.lang.String` | `getName()` Returns the name of the field or method designated by this handle.
`java.lang.String` | `getOwner()` Returns the internal name of the class that owns the field or method designated by this handle.
`int` | `getTag()` Returns the kind of field or method designated by this handle.
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns the textual representation of this handle.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Handle

    public Handle(int tag,
                  java.lang.String owner,
                  java.lang.String name,
                  java.lang.String desc)

  Constructs a new field or method handle.

  Parameters:
    `tag` - the kind of field or method designated by this Handle. Must be `Opcodes.H_GETFIELD`, `Opcodes.H_GETSTATIC`, `Opcodes.H_PUTFIELD`, `Opcodes.H_PUTSTATIC`, `Opcodes.H_INVOKEVIRTUAL`, `Opcodes.H_INVOKESTATIC`, `Opcodes.H_INVOKESPECIAL`, `Opcodes.H_NEWINVOKESPECIAL` or `Opcodes.H_INVOKEINTERFACE`.
    `owner` - the internal name of the class that owns the field or method designated by this handle.
    `name` - the name of the field or method designated by this handle.
    `desc` - the descriptor of the field or method designated by this handle.

Method Detail

### getTag

    public int getTag()

  Returns the kind of field or method designated by this handle.

  Returns:
    `Opcodes.H_GETFIELD`, `Opcodes.H_GETSTATIC`, `Opcodes.H_PUTFIELD`, `Opcodes.H_PUTSTATIC`, `Opcodes.H_INVOKEVIRTUAL`, `Opcodes.H_INVOKESTATIC`, `Opcodes.H_INVOKESPECIAL`, `Opcodes.H_NEWINVOKESPECIAL` or `Opcodes.H_INVOKEINTERFACE`.

### getOwner

    public java.lang.String getOwner()

  Returns the internal name of the class that owns the field or method designated by this handle.

  Returns:
    the internal name of the class that owns the field or method designated by this handle.

### getName

    public java.lang.String getName()

  Returns the name of the field or method designated by this handle.

  Returns:
    the name of the field or method designated by this handle.

### getDesc

    public java.lang.String getDesc()

  Returns the descriptor of the field or method designated by this handle.

  Returns:
    the descriptor of the field or method designated by this handle.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns the textual representation of this handle. The textual representation is:

       owner '.' name desc ' ' '(' tag ')'

  . As this format is unambiguous, it can be parsed if necessary.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2017 Oracle Corporation. All Rights Reserved.